function ribao_init() {
  $('#btnRB').on('click', function () {
    window.location.href = "/yeweihui/home.html";
  });

}

//近日报告
function ribaoInitialization(reportId) {
  if (reportId == null)
    return;
  $.ajax({
    url: '/home/home/queryRibao',
    data: {
      reportId: reportId
    },
    type: 'GET',
    success: function (data) {
      console.log(data);
      if (data.data.length > 0) {
        hasData = true;
        data.data.forEach(function (v) {
          helpValue(v);
        });
      } else {

      }
    },
    error: function () {
    }
  });
}

function helpValue(v) {
  var conditionStatusList = v.conditionStatus.split(',');
  var conditionStatus = v.userName + "：";
  if (conditionStatusList[0] > 0)
    conditionStatus += "咳嗽"
  if (conditionStatusList[1] > 0)
    conditionStatus += "，发烧"
  if (conditionStatusList[2] > 0)
    conditionStatus += "，乏力"
  if (conditionStatusList[3] > 0)
    conditionStatus += "，其他"
  if (v.medical > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;确诊"
  else
    conditionStatus += "&nbsp;&nbsp;&nbsp;未确诊"
  $('#rb_family').append($('<div class="weui-media-box weui-media-box_text">\n' +
    '                                      <h4 class="weui-media-box__title">' + conditionStatus + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a style="color: #2a62bc" onclick=\'deleteSuspected(' + JSON.stringify(v.suspectedId) + ')\'>删除</a></h4>\n' +
    '                                      <p class="weui-media-box__desc">' + v.remarks + '</p>\n' +
    '                                    </div>\n' +
    '                              '));
}

function ribao_add() {
  $('#btnAdd').on('click', function () {
    if ($('#ribao')[0].style.display == 'none') {
      $('#notOpenRibao').toggle();
      $('#ribao')[0].style.display = '';
    } else {
      $('#notOpenRibao')[0].style.display = '';
      $('#ribao')[0].style.display = 'none';
    }
  });
}

function ribao_cancel() {
  $('#cancel').on('click', function () {
    if ($('#ribao')[0].style.display == 'none') {
      $('#notOpenRibao').toggle();
      $('#ribao')[0].style.display = '';
    } else {
      $('#notOpenRibao')[0].style.display = '';
      $('#ribao')[0].style.display = 'none';
    }
  });
}

function ribao_commit() {
  $('#commit').on('click', function () {

    if ($('#ribao')[0].style.display == 'none') {
      $('#notOpenRibao').toggle();
      $('#ribao')[0].style.display = '';
    } else {
      $('#notOpenRibao')[0].style.display = '';
      $('#ribao')[0].style.display = 'none';
    }
  });
}


function ribaoCommit() {
  var user_name = $("#js_input_user_name").val();
  var remarks = $("#rb_remarks").val();
  var medical = "";
  if ($("input[name='medical']:checked").val() == "on")
    medical = "1";
  else
    medical = "0";
  var conditionStatus = "";
  if ($("input[name='checkbox1']:checked").val() == "on")
    conditionStatus += "1";
  else
    conditionStatus += "0";
  if ($("input[name='checkbox2']:checked").val() == "on")
    conditionStatus += ",2";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox3']:checked").val() == "on")
    conditionStatus += ",3";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox4']:checked").val() == "on")
    conditionStatus += ",4";
  else
    conditionStatus += ",0";

  $.ajax({
    url: '/home/addRibao.json',
    type: "post",
    data: {
      "userName": user_name,
      "conditionStatus": conditionStatus,
      "medical": medical,
      "remarks": remarks,
    },
  });
}

function deleteSuspected(suspectedId) {
  $.ajax({
    url: '/home/deleteSuspected.json',
    type: "post",
    data: {
      "suspectedId": suspectedId
    },
  });
}


function addReport() {
  var safety_num = $("#ribao_safety_num").val();
  $.ajax({
    url: '/home/addReport.json',
    type: "post",
    data: {
      "safetyNum": safety_num,
    },
  });
}
